curl_unescape
CURLFile
cURL Functions
PHP Manual

# curl_version

(PHP 4 >= 4.0.2, PHP 5, PHP 7)

curl_version — Gets cURL version information

### Description

array curl_version ([ int `$age` = CURLVERSION_NOW ] )

Returns information about the cURL version.

### Parameters

`age`

### Return Values

Returns an associative array with the following elements:

Indice | Value description
--- | ---
version_number | cURL 24 bit version number
version | cURL version number, as a string
ssl_version_number | OpenSSL 24 bit version number
ssl_version | OpenSSL version number, as a string
libz_version | zlib version number, as a string
host | Information about the host where cURL was built
age |
features | A bitmask of the CURL_VERSION_XXX constants
protocols | An array of protocols names supported by cURL

### Examples

Example #1 curl_version() example

This example will check which features that's available in cURL build by using the 'features' bitmask returned by curl_version().

`<?php
// Get curl version array
$version = curl_version();
// These are the bitfields that can be used
// to check for features in the curl build
$bitfields = Array(
'CURL_VERSION_IPV6',
'CURL_VERSION_KERBEROS4',
'CURL_VERSION_SSL',
'CURL_VERSION_LIBZ'
);
foreach($bitfields as $feature)
{
echo $feature . ($version['features'] & constant($feature) ? ' matches' : ' does not match');
echo PHP_EOL;
}
?>`

curl_unescape
CURLFile
cURL Functions
PHP Manual